summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-07-14 21:27:19 +0000
committer Eric Hameleers <alien@slackware.com>2015-07-14 21:27:19 +0000
commit1b3202f10997be7903dd319b2d453cf41124e518 (patch)
tree23fddab5c9bfe1d9c840e4e7a5bcb516aa97f337
parenta31a6c2182e04015b76c8770c770f07bfcbbdd74 (diff)
downloadasb-1b3202f10997be7903dd319b2d453cf41124e518.tar.gz
asb-1b3202f10997be7903dd319b2d453cf41124e518.tar.xz
tigervnc: updated to 1.5.0
-rwxr-xr-xtigervnc/build/tigervnc.SlackBuild41
1 files changed, 25 insertions, 16 deletions
diff --git a/tigervnc/build/tigervnc.SlackBuild b/tigervnc/build/tigervnc.SlackBuild
index d1a0420d..58364f14 100755
--- a/tigervnc/build/tigervnc.SlackBuild
+++ b/tigervnc/build/tigervnc.SlackBuild
@@ -61,20 +61,22 @@
# * Update.
# 1.4.3-2: 03/may/2015 by Eric Hameleers <alien@slackware.com>
# * Rebuild for slackware-current (fix libgcrypt.so library error)
+# 1.5.0-1: 14/jul/2015 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# -----------------------------------------------------------------------------
PKGNAM=tigervnc
-VERSION=${VERSION:-1.4.3}
+VERSION=${VERSION:-1.5.0}
PVER=$(echo $VERSION | cut -f1,2 -d. --output-delimiter=)
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
# We compile static libraries for libjpeg-turbo and fltk so that they do
# not conflict with (unpatched) system packages:
JPEG=1.4.0
-FLTK=1.3.2
+FLTK=1.3.3
# TigerVNC needs to use source of the X.Org server whose version matches
# that of your installed X.Org package:
@@ -199,24 +201,29 @@ EOT
cd fltk-${FLTK} || exit 1
- # The tigervnc source tarball contains all required patches to fltk:
- for PATCH in ../$PKGNAM-$VERSION/contrib/fltk/*.patch ; do
- cat $PATCH | patch -p1 --verbose || exit 1
- done
+ ## The tigervnc source tarball contains all required patches to fltk:
+ #for PATCH in ../$PKGNAM-$VERSION/contrib/fltk/*.patch ; do
+ # echo "# Patching '$PATCH':"
+ # cat $PATCH | patch -p1 --verbose || exit 1
+ #done
./configure \
--prefix=$TMP/tmp-${PKGNAM}/deps/usr \
--libdir=$TMP/tmp-${PKGNAM}/deps/usr/lib${LIBDIRSUFFIX} \
--includedir=$TMP/tmp-${PKGNAM}/deps/usr/include/fltk \
--mandir=$TMP/tmp-${PKGNAM}/deps/usr/man \
+ --disable-shared \
--enable-cairo \
--enable-gl \
--enable-largefile \
- --disable-shared \
--enable-threads \
+ --enable-x11 \
+ --enable-xcursor \
+ --enable-xdbe \
--enable-xinerama \
+ --enable-xfixes \
--enable-xft \
- --enable-xdbe \
+ --with-x \
--build=$TARGET
make $NUMJOBS || make || exit 1
@@ -290,32 +297,34 @@ cd build/unix/xserver/
# Default font paths to be used by the X server
DEF_FONTPATH="/usr/share/fonts/local,/usr/share/fonts/TTF,/usr/share/fonts/OTF,/usr/share/fonts/Type1,/usr/share/fonts/misc,/usr/share/fonts/CID,/usr/share/fonts/75dpi/:unscaled,/usr/share/fonts/100dpi/:unscaled,/usr/share/fonts/75dpi,/usr/share/fonts/100dpi,/usr/share/fonts/cyrillic"
+
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --disable-dri --disable-dri2 \
+ --disable-dri --enable-dri2 --disable-dri3 \
--disable-static \
--disable-xorg --disable-xnest --disable-xvfb --disable-dmx \
- --disable-xwin --disable-xephyr --disable-kdrive \
- --disable-xinerama \
+ --disable-xwin --disable-xephyr --disable-kdrive --disable-wayland \
--enable-composite \
+ --enable-glx --enable-glx-tls \
--enable-install-libxf86config \
--enable-xcsecurity \
- --enable-glx-tls --enable-dri2 \
- --with-pic \
+ --enable-xinerama \
--with-int10=x86emu \
--with-default-font-path="${DEF_FONTPATH}" \
- --with-module-dir=/usr/lib${LIBDIRSUFFIX}/xorg/modules \
--with-dri-driver-path=/usr/lib${LIBDIRSUFFIX}/xorg/modules/dri \
+ --with-module-dir=/usr/lib${LIBDIRSUFFIX}/xorg/modules \
+ --with-pic \
--with-xkb-path=/etc/X11/xkb \
--with-xkb-output=/var/lib/xkb \
--disable-config-dbus \
--disable-config-hal \
--disable-config-udev \
- --disable-devel-docs \
+ --disable-docs --disable-devel-docs \
+ --disable-selective-werror \
--disable-unit-tests \
--without-dtrace \
--with-os-name="$OSNAME" \